%define uname Clementine

%define rel	2

Summary:	A cross-platform music player based on Amarok 1.4
Name:		clementine
Version:	1.3.1
Release:	%mkrel %{rel}
Source0:	https://github.com/clementine-player/Clementine/archive/%{version}/%{name}-%{version}%{?prel}.tar.xz
Patch0:		clementine-1.2.0-mygpo-qt-dir.patch
Patch1:		clementine-sqlite-3.12.patch
License:	GPLv3
Group:		Sound
URL:		http://www.clementine-player.org/
#----------------------------------------
BuildRequires:	kde4-macros
BuildRequires:	qt4-linguist
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	%{_lib}lastfm-devel
BuildRequires:	%{_lib}boost-devel
BuildRequires:	%{_lib}ffmpeg-devel
BuildRequires:  %{_lib}cryptopp6-devel
BuildRequires:	%{_lib}glib2.0-devel
BuildRequires:	%{_lib}gstreamer1.0-devel
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	%{_lib}qjson-devel
BuildRequires:	%{_lib}gstreamer-plugins-base1.0-devel
BuildRequires:	%{_lib}qtwebkit4-devel
BuildRequires:	%{_lib}echonest-devel
BuildRequires:	%{_lib}mygpo-qt-devel
BuildRequires:	%{_lib}gpod-devel
BuildRequires:	%{_lib}taglib-devel
BuildRequires:	%{_lib}qca2-devel
BuildRequires:	%{_lib}protobuf-devel
BuildRequires:	%{_lib}mtp-devel
BuildRequires:	%{_lib}glew-devel
BuildRequires:	%{_lib}chromaprint-devel
BuildRequires:	%{_lib}cdio-devel
#----------------------------------------
Requires:	qca2
Requires:	qt4-database-plugin-sqlite
Requires:	libprojectm-data
Requires:   gstreamer1.0-plugins-good
Requires:   gstreamer1.0-plugins-bad
Requires:   gstreamer1.0-plugins-ugly
Requires:	glib-networking
#----------------------------------------

%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4.
Features:
        * Search and play your local music library
        * Listen to internet radio from Last.fm, SomaFM and Magnatune
        * Tabbed playlists, import and export M3U, XSPF, PLS and ASX
        * Visualisations from projectM
        * Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
        * Edit tags on MP3 and OGG files, organise your music
        * Download missing album cover art from Last.fm
        * Remote control using a Wii Remote, MPRIS or the command-line
        * Copy music to your iPod, iPhone, MTP or mass-storage USB player
        * Queue manager

%files
%doc COPYING Changelog
%{_bindir}/clementine
%{_bindir}/clementine-tagreader
%{_kde_services}/clementine-*.protocol
%{_datadir}/applications/clementine.desktop
%{_iconsdir}/hicolor/*/apps/*clementine.*
%{_datadir}/appdata/clementine.appdata.xml

#---------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}%{?prel}
%apply_patches

sed -i -e '/^\[Play Shortcut Group\]$/,300d' dist/*.desktop

%build
%cmake_qt4 -DBUNDLE_PROJECTM_PRESETS=OFF -DENABLE_PLASMARUNNER=ON -D -DENABLE_REMOTE=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#menu
desktop-file-install --vendor="" \
--add-category="X-MandrivaLinux-Multimedia-Sound" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%changelog
* Tue Oct 18 2016 adrianomorselli <adrianomorselli> 1.3.1-2uplos2016
- rebuild

* Tue Apr 19 2016 bb <bb> 1.3.1-2pclos2016
- update

